gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

The functions in this section allow applications an easy access to the libgda configuration, thus making them able to access the list of data sources configured in the system, for instance.

To be added System.Object
- Method
  System.String ``

  Gets a string representing the type of the value of the given key.

  a a To be added
- Method
  Gda.DataSourceInfo `` To be added a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  GLib.List ``

  Returns a GList containing the names of all the sections available under the given root directory.

  a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` ``

  Sets the given configuration entry to contain an integer.

  a a To be added
- Method
  Gda.DataSourceInfo `` To be added a a To be added
- Method
  System.Void ``

  Removes the given entry from the configuration database.

  a

  If the section is empty, also remove the section.

- Method
  System.Void ``

  Removes the given section from the configuration database.

  a To be added
- Method
  System.Void `` ``

  Sets the given configuration entry to contain a boolean.

  a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` `` `` `` `` `` To be added a a a a a a To be added
- Method
  System.Void ``

  Removes a configuration listener previously installed, given its ID.

  a To be added
- Method
  GLib.List ``

  Returns a list of all keys that exist under the given path.

  a a To be added
- Method
  System.Boolean ``

  Gets the value of the specified configuration entry as a float.

  a a To be added
- Method
  System.Double ``

  Gets the value of the specified configuration entry as a float.

  a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Boolean ``

  Checks whether the given section exists in the configuration system.

  a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  Gda.ProviderInfo `` To be added a a To be added
- Method
  System.UInt32 `` ``

  Installs a configuration listener, which is a callback function which will be called every time a change occurs on a given configuration entry.

  a a a To be added
- Method
  System.Void `` ``

  Sets the given configuration entry to contain a float.

  a a To be added
- Method
  System.Int32 ``

  Gets the value of the specified configuration entry as an integer.

  a a To be added
- Method
  System.Boolean ``

  Checks whether the given key exists in the configuration system.

  a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.Void `` ``

  Sets the given configuration entry to contain a string.

  a a To be added
- Method
  System.Void `` To be added a To be added
- Method
  System.String ``

  Gets the value of the specified configuration entry as a string.

  a a To be added
- Constructor
  To be added
  a
  To be added
- Property
  GLib.List To be added a To be added
- Property
  Gda.DataModel To be added a To be added
- Property
  GLib.List To be added a To be added